################################################################################
# Copyright (c) 2021 ModalAI, Inc. All rights reserved.
################################################################################

stages:
  - build_stage

build:
  tags:
    - threadripper
  image: voxl-build:latest
  stage: build_stage
  rules:
    - if: (($CI_COMMIT_BRANCH == "master") || ($CI_COMMIT_BRANCH == "dev")) && (($CI_PIPELINE_SOURCE == "schedule") || ($CI_PIPELINE_SOURCE == "web"))
  script:
    - ./build.sh
